% Plotting for editing
% fieldnames(Fcf)

XTick=[0,3,6,9,15,18,21,24];

figure(2),clf,
    plot(thetas.time,thetas.signals.values(:,1),'y-',...
      thetas.time,thetas.signals.values(:,2),'m-',...
      thetas.time,thetas.signals.values(:,3),'c-'),
    axis([0,24,0.5,3.5]),
    hold on,
    [m,n]=size(thetas.signals.values);
    mn=m*n;
    ths=reshape(thetas.signals.values',1,mn)';
    ths=ths((1:n:mn)'+Selected.signals.values-1);
    plot(thetas.time,ths,'k.')
    set( get(2,'Children'), 'XTick', XTick),
    set( get(2,'Children'), 'YTick', [1,2,3]),
    grid,

figure(1),clf,
    p=plot(Fcf.time,Fcf.signals.values(:,1),'b-');set(p,'LineWidth',2);
    hold on,
    plot(Fcf.time,Fcf.signals.values(:,2),'r-'),
    axis([0,24,0,1e-3]),
    set(get(1,'Children'),'XTick',XTick),
    set(get(1,'Children'),'XTickLabel',XTick),
    YTick=[0,2e-4,4e-4,5.6e-4,8e-4,10e-4];
    set(get(1,'Children'),'YTick',YTick),
    set(get(1,'Children'),'YTickLabel',YTick),
    grid, 

figure(3),clf,
    p=plot(Tra.time,Tra.signals.values(:,3),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Tra.time,Tra.signals.values(:,2),'r'),
    axis([0,24,795,815]),
    set(get(3,'Children'),'XTick',XTick),
    set(get(3,'Children'),'XTickLabel',XTick),
    grid, 

figure(4),clf,
    p=plot(Trg.time,Trg.signals.values(:,3),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Trg.time,Trg.signals.values(:,2),'r'),
    axis([0,24,975,1005]),
    set(get(4,'Children'),'XTick',XTick),
    set(get(4,'Children'),'XTickLabel',XTick),
    grid, 

figure(5),clf,
    p=plot(Crc.time,Crc.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Crc.time,Crc.signals.values(:,2),'r'),
    axis([0,24,0.1,0.5]),
    set(get(5,'Children'),'XTick',XTick),
    set(get(5,'Children'),'XTickLabel',XTick),
    grid, 

figure(6),clf,
    p=plot(Csc.time,Csc.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Csc.time,Csc.signals.values(:,2),'r'),
    axis([0,24,1,1.4]),
    set(get(6,'Children'),'XTick',XTick),
    set(get(6,'Children'),'XTickLabel',XTick),
    grid, 
    
figure(7),clf,
    plot(gains.time,gains.signals.values(:,1),'y-',...
      gains.time,gains.signals.values(:,2),'m-',...
      gains.time,gains.signals.values(:,3),'c-'),
    axis([0,24,0,0.1]),
    YTick=[0,0.02,0.04,0.06,0.08,0.10];
    set(get(7,'Children'),'YTick',YTick),
    set(get(7,'Children'),'YTickLabel',YTick),
    set(get(7,'Children'),'XTick',XTick),
    set(get(7,'Children'),'XTickLabel',XTick),
    grid on,
    
figure(8),clf,
    p=plot(Kor.time,Kor.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Csc.time,Csc.signals.values(:,2),'r'),
    axis([0,24,0.5e-4,2e-4]),
    YTick=[0.5e-4,1e-4,1.5e-4,2e-4];
    set(get(8,'Children'),'YTick',YTick),
    set(get(8,'Children'),'YTickLabel',YTick),
    set(get(8,'Children'),'XTick',XTick),
    set(get(8,'Children'),'XTickLabel',XTick),
    grid, 
    
figure(9),clf,
    p=plot(Rcb.time,Rcb.signals.values(:,1),'b');
    set(p,'LineWidth',2);
    hold on,
    plot(Rcb.time,Rcb.signals.values(:,2),'r'),
    axis([0,24,2.2,2.8]),
    YTick=[2.2,2.4,2.6,2.8];
    set(get(9,'Children'),'YTick',YTick),
    set(get(9,'Children'),'YTickLabel',YTick),
    set(get(9,'Children'),'XTick',XTick),
    set(get(9,'Children'),'XTickLabel',XTick),
    grid, 
    
if 0,
    disp('EPS file generation...'),
    figure(1),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Fcf.eps',
%    figure(2),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_thetas.eps',
    figure(3),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Tra.eps',
    figure(4),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Trg.eps',
    figure(5),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Crc.eps',
    figure(6),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Csc.eps',
%    figure(7),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Gains.eps',
    figure(8),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Kor.eps',
    figure(9),print -depsc -loose 'c:\data\Recherche\articles\EnCours\Automatica\b_Rcb.eps',
    [status,result] = system('copy KorTrg00.eps c:\data\Recherche\articles\EnCours\Automatica\');
    [status,result] = system('copy KorTrg01.eps c:\data\Recherche\articles\EnCours\Automatica\');
    [status,result] = system('copy KorTrg09.eps c:\data\Recherche\articles\EnCours\Automatica\');
    [status,result] = system('copy KorTrg17.eps c:\data\Recherche\articles\EnCours\Automatica\');
    close all,
    disp('Done.'),
end,
